Subject: bug#61962: 30.0.50; New trouble with symbols with positions

From: Michael Heerdegen <[email-masked]>
Date: Sun, 05 Mar 2023 20:41:48 +0100

Alan Mackenzie <[email-masked]> writes:

> I disagree with your concept here.  Warning positions are not accurate
> or inaccurate (they cannot be +- 2%, for example), they are either
> correct or they are wrong.  A lot of effort was put into making them
> correct, although it is clear from this bug that that project is as yet
> incomplete.

This was not intended to sound like it did to you.  I see the
exact compiler warning positions as a big improvement.

> Please don't revert that commit from 2023-02-17.  I will look into
> this and try to fix the bug properly.

I wanted to spare others from seeing these hard to interpret errors
this commit introduces.  Anyway, take your time, a few days won't hurt.

Michael.